%define hgtag 38e78368283d

%define major	0
%define libname	%mklibname %{name} %{major}
%define libgtk %mklibname %{name}gtk %{major}
%define libqt %mklibname %{name}qt %{major}
%define	devname	%mklibname -d %{name}

Name:		zbar
Summary:	Bar Code Reader software suite for reading bar codes from various sources
Version:	0.10
Release:	%mkrel 2.20121014.4
License:	GPLv2+
Group:		Graphics/Utilities
URL:		http://sourceforge.net/projects/%{name}/
Source0:	http://zbar.hg.sourceforge.net/hgweb/zbar/zbar/archive/%{hgtag}.tar.bz2
Patch0:		zbar-automake-1.2.patch
BuildRequires:	git
BuildRequires:	gtk+2-devel
BuildRequires:  pygtk2.0-devel
BuildRequires:	gettext-devel
BuildRequires:	qt4-devel
BuildRequires:	xmlto
BuildRequires:	graphicsmagick-devel

%description
ZBar Bar Code Reader is an open source software suite for reading bar
codes from various sources, such as video streams, image files and raw
intensity sensors. It supports EAN-13/UPC-A, UPC-E, EAN-8, Code 128,
Code 39, Interleaved 2 of 5 and QR Code.  Included with the library
are basic applications for decoding captured bar code images and using
a video device (eg, webcam) as a bar code scanner.  For application
developers, language bindings are included for C, C++, Python and Perl
as well as GUI widgets for Qt, GTK and PyGTK.

%package -n %{libname}
Summary: ZBAR Libraries
Group: Graphics/Utilities
	
%description -n %{libname}
Libraries for the ZBar Bar Code Reader

%package -n %{libgtk}
Summary: ZBAR Libraries
Group: Graphics/Utilities
Conflicts: %{_lib}zbar0 < %{version}-%{release}

%description -n %{libgtk}
Libraries for the ZBar Bar Code Reader

%package -n %{libqt}
Summary: ZBAR Libraries
Group: Graphics/Utilities
Conflicts: %{_lib}zbar0 < %{version}-%{release}

%description -n %{libqt}
Libraries for the ZBar Bar Code Reader

%package -n %{devname}
Summary: ZBAR Development headers and libraries
Group: Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}
Requires: %{libgtk} = %{version}
Requires: %{libqt} = %{version}
Obsoletes: %{_lib}zbar0-devel < %{version}-%{release}

%description -n %{devname}
Development headers and libraries for the ZBar Bar Code Reader

%package -n python-%{name}
Summary: Python bindings for ZBAR
Group: Graphics/Utilities
	
%description -n python-%{name}
Python bindings for the ZBar Bar Code Reader

%files
%{_bindir}/zbarimg
%doc %{_datadir}/doc/%{name}/*
%{_mandir}/man1/zbarimg.1*

%files -n %{libname}
%{_libdir}/libzbar.so.%{major}
%{_libdir}/libzbar.so.%{major}.*

%files -n %{libgtk}
%{_libdir}/libzbargtk.so.%{major}
%{_libdir}/libzbargtk.so.%{major}.*

%files -n %{libqt}
%{_libdir}/libzbarqt.so.%{major}
%{_libdir}/libzbarqt.so.%{major}.*

%files -n python-%{name}
%{py_platsitedir}/zbar.so
%{py_platsitedir}/zbarpygtk.so

%files -n %{devname}
%dir %{_includedir}/zbar
%{_includedir}/zbar.h
%{_includedir}/zbar/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libzbar.so
%{_libdir}/libzbargtk.so
%{_libdir}/libzbarqt.so

#--------------------------------------------------------------------

%prep
%setup -qn %{name}-%{hgtag}
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-video --disable-static
%make

%install
%makeinstall_std 

# remove .la files
find %{buildroot} -name '*.la' | xargs rm -f


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.10-2.20121014.4.mga4
+ Revision: 520937
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.10-2.20121014.3.mga3
+ Revision: 387661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Fri Dec 14 2012 fwang <fwang> 0.10-2.20121014.2.mga3
+ Revision: 330871
- split out libs

* Fri Dec 14 2012 fwang <fwang> 0.10-2.20121014.1.mga3
+ Revision: 330839
- br xmlto
- use graphicsmagick
- do not use werror
- fix build with am 1.2
- br gettext
- new snapshot
- br git to apply git binary diff
- sync with fedora package
- sync with fedora package
- update rpm group

* Tue Sep 13 2011 fwang <fwang> 0.10-2.mga2
+ Revision: 142854
- rebuild for imagemagick

* Mon Jun 27 2011 stewb <stewb> 0.10-1.mga2
+ Revision: 114752
- forgot imagemagick-devel buildrequires
- imported package zbar


* Mon Jun 27 2011 Stew Benedict <stewb@mageia.org> 0.10-1mga2
- initial import

